Safe Haskell | Safe

HiddenInstances

Synopsis

- class VisibleClass a
- data VisibleData

# Documentation

class VisibleClass a #

Should be visible

Instances

VisibleClass Int # | Should be visible
Instance details
VisibleClass VisibleData # | Should be visible
Instance details

data VisibleData #

Should be visible

Instances

Num VisibleData # | Should be visible
Instance details Methods (+) :: VisibleData -> VisibleData -> VisibleData # (-) :: VisibleData -> VisibleData -> VisibleData # (*) :: VisibleData -> VisibleData -> VisibleData # negate :: VisibleData -> VisibleData # abs :: VisibleData -> VisibleData # signum :: VisibleData -> VisibleData # fromInteger :: Integer -> VisibleData #
VisibleClass VisibleData # | Should be visible
Instance details